MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002722ardourbugspublic2009-06-12 11:262010-04-24 03:31
Reporterjoegiampaoli 
Assigned Tocth103 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN/2.0-ongoing 
Target VersionFixed in VersionSVN/2.0-ongoing 
Summary0002722: SVN-5174 - scons install terminated because of errors
DescriptionCompiled as always with scons without errors then when doing "sudo scons install" somwhere in the middle this popped out:

mo_builder(["gtk2_ardour/de_DE.mo"], ["gtk2_ardour/de_DE.po"])
po_builder(["gtk2_ardour/cs_CZ.po"], ["gtk2_ardour/po/cs_CZ.po", "gtk2_ardour/gtk2_ardour.pot"])
Updating gtk2_ardour/cs_CZ.po
......................................................................................................................................................................................................................... done.
mo_builder(["gtk2_ardour/cs_CZ.mo"], ["gtk2_ardour/cs_CZ.po"])
gtk2_ardour/cs_CZ.po:8042: 'msgstr' is not a valid C format string, unlike 'msgid'. Reason: The string ends in the middle of a directive.
gtk2_ardour/cs_CZ.po:8047: 'msgstr' is not a valid C format string, unlike 'msgid'. Reason: The string ends in the middle of a directive.
msgfmt: found 2 fatal errors
scons: *** [gtk2_ardour/cs_CZ.mo] Error 1
scons: building terminated because of errors.
TagsNo tags attached.
Attached Filespatch file icon bug-2722-1.patch [^] (490 bytes) 2009-06-23 14:24 [Show Content]

- Relationships

-  Notes
(0006106)
joegiampaoli (reporter)
2009-06-13 19:23

Keep getting this error with SVN 5182
(0006114)
hamsterjam (reporter)
2009-06-14 10:55

Confirmed. I ran into the "unable to import audio" bug in my copy of Ubuntu Studio 8.10. Followed the directions in the forum this afternoon to build from SVN checkout, but it fails as above during the install phase.

I don't even need Czech...
(0006118)
hamsterjam (reporter)
2009-06-14 13:18

Further to my last posting:

I checked the indicated lines in gtk2_ardour/cs_CZ.po (which is still listed as the German translation in the header...) and they are each missing a "d" after a % character. Insert those "d"'s, scons make install and voila.

And, as promised in the forum, I can now import audio.

Thanks to all involved in this project. I have only just discovered it and my first impressions are slack-jawed amazement at its comprehensive awesomeness.

Now all I have to do is learn how to use it properly.
(0006161)
kemitix (reporter)
2009-06-23 14:27

The gtk2_ardour/cs_CZ.po appears to be created when running scons. The patch I've attached adds the missing 'd's into the original cs_CZ.po file.

I was having the same problem in r5262.
(0006172)
cth103 (administrator)
2009-06-25 05:38

This should be fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-06-12 11:26 joegiampaoli New Issue
2009-06-13 19:23 joegiampaoli Note Added: 0006106
2009-06-14 10:55 hamsterjam Note Added: 0006114
2009-06-14 13:18 hamsterjam Note Added: 0006118
2009-06-23 14:24 kemitix File Added: bug-2722-1.patch
2009-06-23 14:27 kemitix Note Added: 0006161
2009-06-25 05:38 cth103 cost => 0.00
2009-06-25 05:38 cth103 Note Added: 0006172
2009-06-25 05:38 cth103 Status new => resolved
2009-06-25 05:38 cth103 Fixed in Version => SVN/2.0-ongoing
2009-06-25 05:38 cth103 Resolution open => fixed
2009-06-25 05:38 cth103 Assigned To => cth103
2010-04-24 03:28 cth103 Category bugs => bugs2
2010-04-24 03:31 cth103 Category bugs2 => bugs


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker